=== debian/changelog ===
liburing (2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <guillem@debian.org>  Wed, 05 Feb 2025 12:13:49 +0100
