## liburing 2.11

=== debian/changelog ===
liburing (2.11-1) unstable; urgency=medium

  * New upstream release.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional» field, which is the current default.
  * Switch to Standards-Version 4.7.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Aug 2025 01:12:17 +0200
