## liburing 2.12

=== test/Makefile ===
--- 
+++ 
@@ -62,6 +62,7 @@
 	buf-ring-put.c \
 	ce593a6c480a.c \
 	close-opath.c \
+	conn-unreach.c \
 	connect.c \
 	connect-rep.c \
 	coredump.c \
@@ -81,10 +82,12 @@
 	eeed8b54e0df.c \
 	empty-eownerdead.c \
 	eploop.c \
+	epwait.c \
 	eventfd.c \
 	eventfd-disable.c \
 	eventfd-reg.c \
 	eventfd-ring.c \
+	evfd-short-read.c \
 	evloop.c \
 	exec-target.c \
 	exit-no-cleanup.c \
@@ -94,6 +97,7 @@
 	fd-install.c \
 	fd-pass.c \
 	fdinfo.c \
+	fdinfo-sqpoll.c \
 	fifo-nonblock-read.c \
 	file-exit-unreg.c \
 	file-register.c \
@@ -106,10 +110,12 @@
 	fixed-hugepage.c \
 	fixed-link.c \
 	fixed-reuse.c \
+	fixed-seg.c \
 	fpos.c \
 	fsnotify.c \
 	fsync.c \
 	futex.c \
+	futex-kill.c \
 	hardlink.c \
 	ignore-single-mmap.c \
 	init-mem.c \
@@ -121,6 +127,7 @@
 	io_uring_passthrough.c \
 	io_uring_register.c \
 	io_uring_setup.c \
+	iowait.c \
 	kallsyms.c \
 	lfs-openat.c \
 	lfs-openat-write.c \
@@ -147,6 +154,7 @@
 	open-direct-link.c \
 	open-direct-pick.c \
 	personality.c \
+	pipe.c \
 	pipe-bug.c \
 	pipe-eof.c \
 	pipe-reuse.c \
@@ -170,8 +178,11 @@
 	read-mshot-empty.c \
 	read-mshot-stdin.c \
 	read-write.c \
+	recv-bundle-short-ooo.c \
+	recv-inc-ooo.c \
 	recv-msgall.c \
 	recv-msgall-stream.c \
+	recv-mshot-fair.c \
 	recv-multishot.c \
 	reg-fd-only.c \
 	reg-hint.c \
@@ -194,6 +205,7 @@
 	send_recv.c \
 	send_recvmsg.c \
 	send-zerocopy.c \
+	sendmsg_iov_clean.c \
 	shared-wq.c \
 	short-read.c \
 	shutdown.c \
@@ -227,6 +239,7 @@
 	sync-cancel.c \
 	teardowns.c \
 	thread-exit.c \
+	timerfd-short-read.c \
 	timeout.c \
 	timeout-new.c \
 	truncate.c \
@@ -239,6 +252,9 @@
 	wakeup-hang.c \
 	wq-aff.c \
 	xattr.c \
+	zcrx.c \
+	vec-regbuf.c \
+	timestamp.c \
 	# EOL
 
 # Please keep this list sorted alphabetically.
