=== debian/changelog ===
liburing (2.12-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debian/watch version 5.

 -- Guillem Jover <guillem@debian.org>  Thu, 04 Sep 2025 11:32:53 +0200
