=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+lfs
export DEB_CFLAGS_MAINT_PREPEND = -Wall

DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk

buildflags =
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	buildflags += V=1
endif
buildflags += CPPFLAGS="$(CPPFLAGS)"
buildflags += CFLAGS="$(CFLAGS)"
buildflags += LDFLAGS="$(LDFLAGS)"

%:
	dh $@

override_dh_auto_configure:
	./configure \
	  --prefix=/usr \
	  --includedir=/usr/include \
	  --datadir=/usr/share \
	  --mandir=/usr/share/man \
	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  --libdevdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  --use-libc \
	  --cc=$(CC)

override_dh_auto_build:
	dh_auto_build -- $(buildflags)

# XXX: The tests do not pass yet as of Linux 6.5, and they are not being
# skipped either.
override_dh_auto_test:
	dh_auto_test -- runtests || true

override_dh_installchangelogs:
	dh_installchangelogs --no-trim
