=== test/Makefile ===
--- 
+++ 
@@ -132,6 +132,8 @@
 	io_uring_passthrough.c \
 	io_uring_register.c \
 	io_uring_setup.c \
+	io-wq-exit.c \
+	io-wq-unused-exit.c \
 	iowait.c \
 	kallsyms.c \
 	lfs-openat.c \
@@ -144,6 +146,7 @@
 	min-timeout.c \
 	min-timeout-wait.c \
 	mkdir.c \
+	mock_file.c \
 	msg-ring.c \
 	msg-ring-fd.c \
 	msg-ring-flags.c \
@@ -176,6 +179,7 @@
 	poll-race.c \
 	poll-race-mshot.c \
 	poll-ring.c \
+	poll-update-trigger.c \
 	poll-v-poll.c \
 	pollfree.c \
 	probe.c \
@@ -205,6 +209,7 @@
 	ringbuf-status.c \
 	ring-leak2.c \
 	ring-leak.c \
+	ring-query.c \
 	rsrc_tags.c \
 	rw_merge_test.c \
 	self.c \
@@ -214,6 +219,7 @@
 	send_recvmsg.c \
 	send-zerocopy.c \
 	sendmsg_iov_clean.c \
+	sendzc-bug.c \
 	shared-wq.c \
 	short-read.c \
 	shutdown.c \
@@ -252,10 +258,13 @@
 	timerfd-short-read.c \
 	timeout.c \
 	timeout-new.c \
+	timestamp.c \
+	timestamp-bug.c \
 	truncate.c \
 	tty-write-dpoll.c \
 	unlink.c \
 	uring_cmd_ublk.c \
+	vec-regbuf.c \
 	version.c \
 	waitid.c \
 	wait-timeout.c \
@@ -263,10 +272,6 @@
 	wq-aff.c \
 	xattr.c \
 	zcrx.c \
-	vec-regbuf.c \
-	timestamp.c \
-	ring-query.c \
-	mock_file.c \
 	# EOL
 
 # Please keep this list sorted alphabetically.
