=== debian/changelog ===
liburing (2.14-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Standards-Version 4.7.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 12 Feb 2026 23:57:06 +0100
